/*
 *  XNap Commons
 *
 *  Copyright (C) 2005  Steffen Pingel
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.xnap.commons.gui.action;

import javax.swing.Action;

/**
 * Defines the requirements for classes that support toggleable actions. This
 * action class can be used for check box items.
 */
public interface ToggleAction extends Action {

	/**
	 * The key used for storing the selected state.
	 */
	public static final String SELECTED = "Selected";
	
    /**
     * Returns the selected state for the action.
     */
    boolean isSelected();

    /**
     * Sets the selected state for the action.
     */
    void setSelected(boolean selected);

}
