/*
 *  XNap Commons
 *
 *  Copyright (C) 2005  Felix Berger
 *  Copyright (C) 2005  Steffen Pingel
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.xnap.commons.gui.shortcut;

import javax.swing.KeyStroke;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.xnap.commons.i18n.I18nFactory;

public class DefaultShortcut extends AbstractShortcut
{

    private static Log logger = LogFactory.getLog(DefaultShortcut.class);

    public DefaultShortcut(KeyStroke keyStroke, String category,
						   String description)
	{
        setKeyStroke(keyStroke);
        
    	putValue(Shortcut.CATEGORY, category);
    	putValue(Shortcut.DESCRIPTION, description);
	}

	
	public DefaultShortcut(KeyStroke keyStroke, String description) 
	{
		this(keyStroke, I18nFactory.getI18n(DefaultShortcut.class).tr("General"),
				description);
	}
}
