/*
 *  XNap Commons
 *
 *  Copyright (C) 2005  Felix Berger
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.xnap.commons.gui.util;

import static org.xnap.commons.gui.util.GUIHelper.I18N;
import java.awt.event.ActionEvent;
import javax.swing.Action;
import org.xnap.commons.gui.action.AbstractXNapAction;

/**
 * Provides and action that triggers the What's This help mode.
 * <p>
 * See {@link org.xnap.commons.gui.util.WhatsThis#enterWhatsThisMode()}.
 */
public class WhatsThisAction extends AbstractXNapAction
{
	public WhatsThisAction()
	{
		putValue(Action.NAME, I18N.tr("What's This?"));
		putValue(ICON_FILENAME, "contexthelp.png");
		putValue(Action.SHORT_DESCRIPTION, I18N.tr("Enters what's this mode"));
	}
	
	public void actionPerformed(ActionEvent e)
	{
		WhatsThis.enterWhatsThisMode();
	}
	
}