/*
 *  XNap - A P2P framework and client.
 *
 *  See the file AUTHORS for copyright information.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.xnap.commons.gui.wizard;

import javax.swing.Icon;
import javax.swing.JComponent;
import javax.swing.JPanel;

/**
 * Provides the default implementation for a wizard panel. 
 * 
 * @author Steffen Pingel
 */
public class DefaultWizardPage extends JPanel implements WizardPage {
    
	private String description;
	private Icon icon;
	private String title;
	
    public DefaultWizardPage()
    {
    }

    public String getDescription()
	{
		return description;
	}
	
	public Icon getIcon()
	{
		return icon;
	}
	
	public JComponent getPanel()
    {
		return this;
    }

	public String getTitle()
	{
		return title;
	}
	
	public void setDescription(String description)
	{
		this.description = description;
	}
	
	public void setIcon(Icon icon)
	{
		this.icon = icon;
	}
	
	public void setTitle(String title)
	{
		this.title = title;
	}

	public boolean apply()
	{
		return true;
	}

}
