/*
 *  XNap Commons
 *
 *  Copyright (C) 2005  Steffen Pingel
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.xnap.commons.gui.wizard;

import javax.swing.Icon;
import javax.swing.JComponent;

/**
 * Defines the requirements for panels that are shown in the wizard or
 * preferences dialog.
 *
 * @author Steffen Pingel 
 */
public interface WizardPage {
    
    /** 
     * Invoked when the dialog is closed or the apply button is pressed. 
     */
    boolean apply();

    /**
     * Returns a short description of the panel.
     */
    String getDescription();

    /**
     * Returns an icon.
     */
    Icon getIcon();

	/**
	 * Returns the panel.
	 */
    JComponent getPanel();

    /**
     * Returns the title of the panel.
     */
    String getTitle();

}

